2020-12-03 03:41 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001892FSSCPmultiplayerpublic2020-11-21 04:30
ReporterFUBAR-BDHR 
Assigned Totaylor 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version20.1.0 
Summary0001892: Standalone server taken over by next in line after host drops cannot exit debrief
DescriptionPlaying FSPort on one of my standalones tonight Galemp was the host. He dropped leaving me as host and the game continued as it should. After accepting in debrief nothing happened. Had to escape out to the lobby.
Additional Information3.6.10 r5088. I'll try to reproduce this later but it's almost 4am and I wanted to get it reported.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010719

FUBAR-BDHR (developer)

It just occurred to me that this was part of a feature in retail. If the person hosting on a standalone dropped at the end of the game it would give a message something like the server has ended the game and kick everyone. It was a good feature for password protected servers. Going out on a limb here but I'm thinking the new stat saving messages might be overriding the server has ended the game one in this situation.

~0017021

FSCyborg (developer)

This may be related to 1119. We should look at that code in general and shore it up.

~0017034

FSCyborg (developer)

Targeting this one to be fixed this year!!

~0017042

taylor (administrator)

Fixed with PR 2910: https://github.com/scp-fs2open/fs2open.github.com/pull/2910
+Notes

-Issue History
Date Modified Username Field Change
2009-03-07 03:54 FUBAR-BDHR New Issue
2009-03-07 04:28 FUBAR-BDHR Note Added: 0010719
2010-03-14 12:35 taylor Status new => assigned
2010-03-14 12:35 taylor Assigned To => taylor
2020-09-10 01:29 FSCyborg Note Added: 0017021
2020-11-01 10:33 FSCyborg Note Added: 0017034
2020-11-01 10:33 FSCyborg Priority normal => urgent
2020-11-21 04:30 taylor Status assigned => resolved
2020-11-21 04:30 taylor Resolution open => fixed
2020-11-21 04:30 taylor Fixed in Version => 20.1.0
2020-11-21 04:30 taylor Note Added: 0017042
+Issue History